%define ff_epoch 0
%define ff_ver 3.0.5
%define subrel 5

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: BlogRovr extension for firefox
Name: mozilla-firefox-ext-blogrovr
Version: 1.1.779
Release: %mkrel 2
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/4689
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/15932/blogrovr-%{version}-fx.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
You don't have time to read ALL those Blogs! Let RovR do it for you. Rovr
fetches posts from your favorite blogs about whatever you're browsing, showing
summaries you can open in-place to read posts right on the page they are
about. Blogrovr also suggests popular items AND lets you Twitter about any site
you're on too.

Blogrover is a blog reader's best friend.

BlogRovR shows you what YOUR favorite bloggers have to say about anything
you're browsing, unintrusively and as you browse.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}




%changelog
* Thu Jan 15 2009 spuk <spuk> 1.1.779-2.5mdv2009.1
+ Revision: 329641
- prepare for xulrunner 1.9 / firefox 3

* Wed Dec 17 2008 vdanen <vdanen> 1.1.779-2.4mdv2008.1
+ Revision: 315338
- rebuild against firefox 2.0.0.19

* Fri Nov 14 2008 vdanen <vdanen> 1.1.779-2.3mdv2008.1
+ Revision: 303004
- rebuild against firefox 2.0.0.18

* Fri Sep 26 2008 vdanen <vdanen> 1.1.779-2.2mdv2008.1
+ Revision: 288407
- rebuild against firefox 2.0.0.17

* Fri Jul 18 2008 vdanen <vdanen> 1.1.779-2.1mdv2008.1
+ Revision: 237886
- rebuild against firefox 2.0.0.16

  + spuk <spuk>
    - Branching 2008.1 release for updates.

* Wed Mar 26 2008 salem <salem> 1.1.771-3mdv2008.1
+ Revision: 190327
- bump ff_ver and release

* Fri Mar 07 2008 mrl <mrl> 1.1.771-2mdv2008.1
+ Revision: 181495
- Rebuild against FF 2.0.0.12

* Wed Jan 23 2008 mrl <mrl> 1.1.771-1mdv2008.1
+ Revision: 157232
- new upstream: 1.1.771

  + blino <blino>
    - restore BuildRoot

  + tv <tv>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 tv <tv> 1.1.600-2mdv2008.1
+ Revision: 117788
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 mrl <mrl> 1.1.600-1mdv2008.1
+ Revision: 117474
- New upstream: 1.1.600
- Rebuilt for FF 2.0.0.11

* Mon Nov 05 2007 mrl <mrl> 1.1.477-2mdv2008.1
+ Revision: 106073
- New firefox: 2.0.0.9

* Fri Oct 19 2007 mrl <mrl> 1.1.477-1mdv2008.1
+ Revision: 100391
- New upstream: 1.1.477
- Rebuilt against FF 2.0.0.8.

* Wed Aug 01 2007 mrl <mrl> 1.1.322-1mdv2008.0
+ Revision: 57660
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-blogrovr

